Class FilesApi
- java.lang.Object
-
- de.xima.fc.api.rest.pub.client.user_portal.api.FilesApi
-
- All Implemented Interfaces:
EndpointCategory
@Generated("de.xima.openapi.codegen.java_jaxrs.XimaJavaJaxrsGenerator") public final class FilesApi extends Object implements EndpointCategoryThe API for making structured REST API calls to the "FilesApi" endpoint.
-
-
Nested Class Summary
Nested Classes Modifier and Type Class Description classFilesApi.DownloadUserPortalFileHandler for thedownloadUserPortalFileAPI method that lets you choose the content type via theAcceptheader.classFilesApi.GetUserPortalFileHandler for thegetUserPortalFileAPI method that lets you choose the content type via theAcceptheader.
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description Stringcategory()FilesApi.DownloadUserPortalFiledownloadUserPortalFile(UUID userPortalUuid, UUID fileUuid)Download of a specific user portal file Download of a specific user portal file with the UUID given by the path parameter and the user portal given by the UUID of the portal as a path parameter.FilesApi.GetUserPortalFilegetUserPortalFile(UUID userPortalUuid, UUID fileUuid)Returns a file of a user portal.
-
-
-
Constructor Detail
-
FilesApi
public FilesApi(ApiClient apiClient)
Creates a new API handler that uses the given client to send the HTTP requests.- Parameters:
apiClient- The client to use for HTTP requests.
-
-
Method Detail
-
category
public String category()
- Specified by:
categoryin interfaceEndpointCategory- Returns:
- The name of this category.
-
downloadUserPortalFile
public FilesApi.DownloadUserPortalFile downloadUserPortalFile(UUID userPortalUuid, UUID fileUuid) throws IllegalArgumentException
Download of a specific user portal file Download of a specific user portal file with the UUID given by the path parameter and the user portal given by the UUID of the portal as a path parameter.- Parameters:
userPortalUuid- (required)fileUuid- (required)- Returns:
- A handler for making a call to the API with a given content type (accept header).
- Throws:
IllegalArgumentException- When a required parameter is missing or a parameter does not confirm to the expected format.
-
getUserPortalFile
public FilesApi.GetUserPortalFile getUserPortalFile(UUID userPortalUuid, UUID fileUuid) throws IllegalArgumentException
Returns a file of a user portal. Returns a file of a user portal given by its UUID as a path parameter, and the UUID of the user portal as a path parameter.- Parameters:
userPortalUuid- (required)fileUuid- (required)- Returns:
- A handler for making a call to the API with a given content type (accept header).
- Throws:
IllegalArgumentException- When a required parameter is missing or a parameter does not confirm to the expected format.
-
-